org.eclipse.emf.compare.match.eobject

## Class EditionDistance.Builder

- java.lang.Object
- - org.eclipse.emf.compare.match.eobject.EditionDistance.Builder

Enclosing class:
  EditionDistance

    public static class EditionDistance.Builder
    extends Object

Builder class to configure an EditionDistance instance.

### Constructor Summary

Constructors
`protected` `Builder()` Create the builder.

### Method Summary

All Methods Instance Methods Concrete Methods
`EditionDistance` `build()` return the configured instance.
`EditionDistance.Builder` `order(int weight)` Specify the weight of any change of reference order between two instances.
`EditionDistance.Builder` `uri(int weight)` Specify the weight of any change of uri between two instances.
`EditionDistance.Builder` `weightProvider(WeightProvider provider)` Configure custom weight provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    protected Builder()

Create the builder.

### Method Detail

#### uri

    public EditionDistance.Builder uri(int weight)

Specify the weight of any change of uri between two instances.

Parameters:
  `weight` - the new weight.
Returns:
  the current builder instance.

#### order

    public EditionDistance.Builder order(int weight)

Specify the weight of any change of reference order between two instances.

Parameters:
  `weight` - the new weight.
Returns:
  the current builder instance.

#### weightProvider

    public EditionDistance.Builder weightProvider(WeightProvider provider)

Configure custom weight provider.

Parameters:
  `provider` - the weight provider to use.
Returns:
  the current builder instance.

#### build

    public EditionDistance build()

return the configured instance.

Returns:
  the configured instance.